webdevqa.jp.net

Gradleエラー:サポートされているGradleの最小バージョンは3.3です。現在のバージョンは3.2です

私が今日Android Studioをアップデートすると、次のように書かれています。サポートされるGradleの最小バージョンは3.3です。現在のバージョンは3.2ですこの問題をどうやって解決できますか?

これが私のbuild.gradleです。

// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {
    repositories {
        jcenter()
    }
    dependencies {
        classpath 'com.Android.tools.build:gradle:2.3.0'

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        jcenter()
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}

そして2番目のbuild.gradle:

apply plugin: 'com.Android.application'

Android {
    compileSdkVersion 25
    buildToolsVersion "25.0.0"
    defaultConfig {
        applicationId "com.tosi.ex"
        minSdkVersion 14
        targetSdkVersion 25
        versionCode 1
        versionName "1.0"
        multiDexEnabled true
        testInstrumentationRunner "Android.support.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-Android.txt'), 'proguard-rules.pro'
        }
    }
    sourceSets { main { assets.srcDirs = ['src/main/assets', 'src/main/assets/'] } }
}
repositories {
    mavenCentral()
}

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    androidTestCompile('com.Android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.Android.support', module: 'support-annotations'
    })
    compile 'com.Android.support:appcompat-v7:25.2.1'
    compile 'com.Android.support:design:25.2.1'
    compile 'com.github.ksoichiro:Android-observablescrollview:1.5.0'
    compile 'com.Android.support:support-v4:25.2.1'
    compile 'com.Android.support:mediarouter-v7:25.2.1'
    compile 'com.google.Android.gms:play-services:10.2.1'
    compile 'com.Android.support:cardview-v7:25.2.1'
    compile 'com.squareup.picasso:picasso:2.5.2'
    compile 'uk.co.chrisjenx:calligraphy:2.2.0'
    testCompile 'junit:junit:4.12'
}

gradle-wrapper.properties:

#Tue Mar 28 17:26:02 CEST 2017
distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists
distributionUrl=https\://services.gradle.org/distributions/gradle-3.2-all.Zip

プロパティdistributionUrlを3.3-all.Zipに変更したとき、更新されずにうまくいきませんでしたこの問題の対処法がわかりません。どうぞよろしくおねがいします

53
tomassilny

https://gradle.org/releases から最新バージョンをダウンロードする必要があります。その後、file/project structure/projectに移動し、新しいバージョンをgradle versionに入れます。

31

更新された回答:Android Studio 3.1以上の場合

Android Studio 3.1 &以上の場合、distributionUrl バージョン4.6 から バージョン4.4 に更新されています。あなたのgradle-wrapper.propertiesは次のようになります。

#DATE
distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists
distributionUrl=https\://services.gradle.org/distributions/gradle-4.6-all.Zip

更新された答え:

Android Studio 3.0 &以上では、distributionUrl バージョン4.1 から バージョン3.3 に更新されました。あなたのgradle-wrapper.propertiesは次のようになります。

#DATE
distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists
distributionUrl=https\://services.gradle.org/distributions/gradle-4.1-all.Zip

元の答え:

#DATE
distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists
distributionUrl=https\://services.gradle.org/distributions/gradle-3.3-all.Zip
62
Sneh Pandya

[ファイル]> [設定]> [ビルド]、[実行]、[展開]> [ビルドツール]> [Gradle]の順に選択し、デフォルトのグラドルラッパーを使用していることを確認します。

32
Pablo Souza

gradle-wrapper.propertiesを開く

distributionUrl行でバージョンを変更する

23
cricket_007

私の場合、setting.gradleファイルがありませんでした。

5
gustavoknz

これはGoogleのこのエラーの最初の結果ですので、私は単に下部のウィンドウのエラーメッセージブルーリンクをクリックすることを思い出したい "Gradleラッパーの修正とプロジェクトGradle設定の再インポート" .

enter image description here

4
林果皞

Gradle-wrapper.propertiesを開く

distributionUrl=https\://services.gradle.org/distributions/gradle-3.3-all.Zip

に変更

distributionUrl=https\://services.gradle.org/distributions/gradle-4.4-all.Zip
3
Evans Tlhako
  • distrubutionUrlを4.1から4.4に変更しました

  • project/Androidでbuild gradleのバージョンを3.1.1に変更しました

私のために働きます。

3
Nandam Mahesh

エラーメッセージ:Gradle sync failed:サポートされているGradleの最小バージョンは4.9です。現在のバージョンは4.1-milestone-1です。グラドルラッパーを使用している場合は、SampleProj/app/gradle/wrapper/gradle-wrapper.propertiesのdistributionUrlをgradle-4.9-all.Zipに編集してみてください。

Android Studio IDEバージョン3.2 Beta 2を使用しています。

解決策:IDEでgradle-wrapper.propertiesファイルを開くと、正しいdistributionUrlが表示されます。しかし、もともとは更新されていません。そのため、distributionUrlプロパティを手動で変更してください。

例:メモ帳または他のエディタでgradle-wrapper.propertiesファイルを開きます。 /Project/app/gradle/wrapper/gradle-wrapper.propertiesとdistributionUrlプロパティを次のように変更します。

distributionUrl=https\://services.gradle.org/distributions/gradle-4.9-all.Zip
2
Naresh Palle

あなたがより低いバージョンを持っていて、そして高いgradleバージョンでプロジェクトをインポートすることに問題を抱えていて、gradleを更新せずにプロジェクトを実行したいならば

グラドルファイル(Project)を開き、小さな変更を加えます。

  dependencies {
           /*Higher Gradle version*/
//        classpath 'com.Android.tools.build:gradle:3.0.0-alpha4'

        /*Add this line and remove the Higher one*/
        classpath 'com.Android.tools.build:gradle:2.3.3'
    }

[2.3.3はあなたのgradle版の略です]

あなたの場合、バージョンを3.2か3.2.0に変更してください

2
Ravi Vaniya

2点だけ変える

明らかに彼らはそれが持っているバージョンのバージョンに従っていました、そうでなければ彼らはそれらをダウンロードしなければならないでしょう

  • buil.gradle(プロジェクト)

    dependencies {
           classpath 'com.Android.toolsg.build:gradle:2.3.2' 
           ..
    }
    
  • gradle.wrapper.properties

    ...
    distributionUrl = https://services.gradle.org/distributions/gradle-3.3-all.Zip

1
marlonpya

Android Studioについて Gradleプラグインのバージョン および必須 Gradleのバージョン については、より詳しい回答がここに表示されます。 実際のAndroid Studio Gradleのバージョンとは何ですか。

このGradleプラグインのバージョンごとに、以下の表にリストされている最小Gradleバージョンが必要です。

(参照ページ: gradle-plugin#updates-gradle )。

enter image description here

Android Studioを更新すると、Gradleを最新の利用可能なバージョンに更新するように求めるメッセージが表示されることがあります。

たとえば、Android Gradle Pluginバージョン3.1.0以降には、最小グレードのバージョン4.4が必要です。

あなたは、Android Studioを介して設定することができます ファイル - > プロジェクト構造 - > プロジェクト 。下記参照:

enter image description here

あるいは、ファイルgradle/wrapper/gradle-wrapper.propertiesを手動で修正することもできます。例えば:

distributionUrl = https\://services.gradle.org/distributions/gradle-4.6-all.Zip
1
shizhen

Android StudioとGradleをアップデートしてください。 build.gradleファイルのそれぞれの更新されたgradleバージョンを変更することは私のために働きました。

0
prodeveloper

まず最初にここからファイルをダウンロードする必要があります https://gradle.org/releases

ファイルを解凍し、フォルダをこのgradle-3.3(バージョンが3.3の場合)のようなものにコピーし、C:\ Android\Android Studio\gradleに貼り付けます。

Android Studioを開き、左上隅から[ファイル]> [設定]> [ビルド]、[実行]、[展開]> [Gradle]の順に開きます。

今Gradleホームのフォルダgradle-3.3のパスを与えます

Android Studioバージョン3.3.2の場合

1)Gradle DistributionのURLをdistributionUrl=https\://services.gradle.org/distributions/gradle-4.10.1-all.Zip in gradle-wrapper.properties fileに更新しました

2)最上位のbuild.gradleファイル内でgradleプラグインをバージョン3.3.2に更新しました

dependencies {
    classpath 'com.Android.tools.build:gradle:3.3.2'
    classpath 'com.google.gms:google-services:4.2.0'
}
0
Rakhi Dhavale

androidスタジオでgradlewファイルを開くと、すべてがダウンロードされます

0
DennisVA